#############################################################
# login as user4 and create an appointment in the past with participant user3
#############################################################

# call 1: login as user4
login
{ user: "user4", device: "android", password: "secret" }
{ "data": { "sessionid": !!u4_sessionid!!, "userid": !!u4_userid!!, "!!ignored_additional_fields!!": "all" }, "status": 1 }


# call 2: init folder hierarchy for user4
syncInit
{ "sessionid": !!u4_sessionid!! }
{ "data": { "syncid": !!u4_syncid_2!!, "created": [ !!u4f1!!, !!u4f2!!, !!u4f3!!, !!u4f4!!, !!u4f5!!, !!u4f6!!, !!u4f7!!, { "title": "Calendar", "created_by": "6", "uuid": !!u4_calendar_folder_uuid!!, "!!ignored_additional_fields!!": "all" }, !!u4f9!!, !!u4f10!!, !!u4f11!!, !!u4f12!!, !!u4f13!!, !!u4f14!!, !!u4f15!!, !!u4f16!!, !!u4f17!!, !!u4f18!!, !!u4f19!!, !!u4f20!! ] }, "status": 1 }


# call 3: syncInit calendar folder for user4
syncInit
{ "sessionid": !!u4_sessionid!!, "folderid": !!u4_calendar_folder_uuid!! }
{ "data": { "syncid": !!u4_syncid_3!!}, "status": 1 }


# call 4: create appointment in the past with user3 as participant
syncUpdate
{ "sessionid": !!u4_sessionid!!, "folderid": !!u4_calendar_folder_uuid!!, "syncid": !!u4_syncid_3!!, "created": [ { "uuid": "!!new:u4_appo_uuid!!", "uid": "!!new:u4_appo_uid!!", "title": "!!testname!!", "start_date": !!current_timestamp-90000000!!, "end_date": !!current_timestamp-86400000!!, "alarm": 15, "private_flag": false, "participants": [ { "type": 1, "id": !!u4_userid!! }, { "type": 1, "id": 5 } ], "users": [ { "confirmation": 1, "display_name": "", "confirmmessage": "", "id": !!u4_userid!! }, { "confirmation": 0, "display_name": "", "confirmmessage": "", "id": 5 } ] } ] }
{ "data": { "syncid": !!u4_syncid_4!!, "modified": [ { "uuid": "!!u4_appo_uuid!!", "!!ignored_additional_fields!!": "all" } ] }, "status": 1 }
### # call 4: create appointment in the future with user3 as participant
### syncUpdate
### { "sessionid": !!u4_sessionid!!, "folderid": !!u4_calendar_folder_uuid!!, "syncid": !!u4_syncid_3!!, "created": [ { "uuid": "!!new:u4_appo_uuid!!", "uid": "!!new:u4_appo_uid!!", "title": "!!testname!!", "start_date": !!current_timestamp+86400000!!, "end_date": !!current_timestamp+90000000!!, "alarm": 15, "private_flag": false, "participants": [ { "type": 1, "id": !!u4_userid!! }, { "type": 1, "id": 5 } ], "users": [ { "confirmation": 1, "display_name": "", "confirmmessage": "", "id": !!u4_userid!! }, { "confirmation": 0, "display_name": "", "confirmmessage": "", "id": 5 } ] } ] }
### { "data": { "syncid": !!u4_syncid_4!!, "modified": [ { "uuid": "!!u4_appo_uuid!!", "!!ignored_additional_fields!!": "all" } ] }, "status": 1 }


# call 5: logout user4
logout
{ "sessionid": !!u4_sessionid!! }
{ "status": 1 }


#############################################################
# login as user3, confirm the appointment and disable the alarm of the appointment
#############################################################


# calls 6-7: init folder hierarchy for user3
#include init_root_folders.include


# call 8
setConfiguration
{ "sessionid": !!sessionid!!, "conflictResolution": "USE_SERVER_DELETE_OVER_CHANGE" }
{ "status":	1 }


# call 9: syncInit calendar folder for user3 to fetch the created appointment
syncInit
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!! }
{ "data": { "syncid": !!syncid_9!!, "created": [ { "uid": "!!appo_uid!!", "uuid": !!appo_uuid!!, "!!ignored_additional_fields!!": "all" } ] }, "status": 1 }


# call 10: confirm appointment
setConfirmationStatus
{ "sessionid": !!sessionid!!, "uid": "!!appo_uid!!", "confirmation": 1, "confirmmessage": "message: accepted" }
{ "status": 1 }


# call 11: changes made by setConfirmationStatus will not be reported in this call
syncUpdate
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!!, "syncid": !!syncid_9!! }
{ "data": { "syncid": !!syncid_11!!,"modified":[{ "delete_exceptions": [], "modified_by": "!!anything!!", "objectType": "calendar", "users": [ { "confirmation": 1, "confirmmessage": "message: accepted", "display_name": "", "id": !!userid!! }, { "confirmation": 1, "confirmmessage": "", "display_name": "", "id": !!u4_userid!! } ], "uuid": "!!appo_uuid!!" }] }, "status": 1 }


# call 12: change alarm to 15
syncUpdate
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!!, "syncid": !!syncid_11!!, "modified": [ { "uuid": "!!appo_uuid!!", "alarm": 15 } ] }
{ "data": { "syncid": !!syncid_12!! }, "status": 1 }


# call 13: empty sync
syncUpdate
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!!, "syncid": !!syncid_12!! }
{ "data": { "syncid": !!syncid_12a!! }, "status": 1 }


# call 14: change alarm to null
syncUpdate
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!!, "syncid": !!syncid_12a!!, "modified": [ { "uuid": "!!appo_uuid!!", "alarm": null } ] }
{ "data": { "syncid": !!syncid_13!! }, "status": 1 }


# call 15: ensure alarm is still null
syncUpdate
{ "sessionid": !!sessionid!!, "folderid": !!calendar_folder_uuid!!, "syncid": !!syncid_13!! }
{ "data": { "syncid": !!syncid_14!! }, "status": 1 }


# logout user3
#include final_logout.include


#############################################################
# login as user4 and cleanup
#############################################################


login
{ user: "user4", device: "android", password: "secret" }
{ "data": { "sessionid": !!u4_sessionid2!!, "!!ignored_additional_fields!!": "all" }, "status": 1 }


setConfiguration
{ "sessionid": !!u4_sessionid2!!, "conflictResolution": "USE_SERVER_DELETE_OVER_CHANGE" }
{ "status":	1 }


syncUpdate
{ "sessionid": !!u4_sessionid2!!, "folderid": !!u4_calendar_folder_uuid!!, "syncid": !!u4_syncid_4!!, "deleted": [ "!!u4_appo_uuid!!" ] }
{ "data": { "syncid": !!u4_syncid_5!! }, "status": 1 }


logout
{ "sessionid": !!u4_sessionid2!!, "endSynchronization": "true" }
{ "status": 1 }

